Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.startup
Class BasicTilesInitializer

    java.lang.Object
      org.apache.tiles.startup.AbstractTilesInitializer
          org.apache.tiles.startup.BasicTilesInitializer

All Implemented Interfaces:
  TilesInitializer

Deprecated. Don't use it, please extend `AbstractTilesInitializer`.

    public class BasicTilesInitializer

extends AbstractTilesInitializer

Default Tiles initialization delegate implementation under a servlet environment. It uses init parameters to create the `TilesApplicationContext` and the `TilesContainer`.

Since:
  2.1.2
Version:
  $Rev: 831448 $ $Date: 2009-10-30 21:39:52 +0100 (ven, 30 ott 2009) $

Field Summary
`static java.lang.String` | `CONTAINER_KEY_INIT_PARAMETER` Deprecated. Init parameter to define the key under which the container will be stored.

Constructor Summary
`BasicTilesInitializer()` Deprecated.

Method Summary
`protected AbstractTilesApplicationContextFactory` | `createAndInitializeTilesApplicationContextFactory(TilesApplicationContext preliminaryContext)` Deprecated. Creates and initializes the Tiles application context factory, to create a `TilesApplicationContext` to be used across all the Tiles-based application.
`protected AbstractTilesContainerFactory` | `createContainerFactory(TilesApplicationContext context)` Deprecated. Creates a Tiles container factory.
`protected TilesApplicationContext` | `createTilesApplicationContext(TilesApplicationContext preliminaryContext)` Deprecated. Creates the Tiles application context, to be used across all the Tiles-based application.
`protected java.lang.String` | `getContainerKey(TilesApplicationContext applicationContext)` Deprecated. Returns the container key under which the container will be stored.

Methods inherited from class org.apache.tiles.startup.AbstractTilesInitializer
`createContainer, destroy, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTAINER_KEY_INIT_PARAMETER

    public static final java.lang.String CONTAINER_KEY_INIT_PARAMETER

  Deprecated.
  Init parameter to define the key under which the container will be stored.

  Since:
    2.1.2
  See Also:
    Constant Field Values

Constructor Detail

### BasicTilesInitializer

    public BasicTilesInitializer()

  Deprecated.

Method Detail

### createTilesApplicationContext

    protected TilesApplicationContext createTilesApplicationContext(TilesApplicationContext preliminaryContext)

  Deprecated.
  Creates the Tiles application context, to be used across all the Tiles-based application. If you override this class, please override this method or `createAndInitializeTilesApplicationContextFactory(TilesApplicationContext)`.

  Overrides:
    `createTilesApplicationContext` in class `AbstractTilesInitializer`
  Parameters:
    `preliminaryContext` - The preliminary application context to use.
  Returns:
    The Tiles application context.
  Since:
    2.1.2

### createAndInitializeTilesApplicationContextFactory

    protected AbstractTilesApplicationContextFactory createAndInitializeTilesApplicationContextFactory(TilesApplicationContext preliminaryContext)

  Deprecated.
  Creates and initializes the Tiles application context factory, to create a `TilesApplicationContext` to be used across all the Tiles-based application. If you override this class, please override this method or `createTilesApplicationContext(TilesApplicationContext)`.

  Parameters:
    `preliminaryContext` - The preliminary application context to use.
  Returns:
    The Tiles application context factory.
  Since:
    2.1.2

### getContainerKey

    protected java.lang.String getContainerKey(TilesApplicationContext applicationContext)

  Deprecated.
  Returns the container key under which the container will be stored.

  Overrides:
    `getContainerKey` in class `AbstractTilesInitializer`
  Parameters:
    `applicationContext` - The Tiles application context to use.
  Returns:
    The container key.
  Since:
    2.1.2

### createContainerFactory

    protected AbstractTilesContainerFactory createContainerFactory(TilesApplicationContext context)

  Deprecated.
  Creates a Tiles container factory. If you override this class, please override this method or `AbstractTilesInitializer.createContainer(TilesApplicationContext)`.

  Specified by:
    `createContainerFactory` in class `AbstractTilesInitializer`
  Parameters:
    `context` - The servlet context to use.
  Returns:
    The created container factory.
  Since:
    2.1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.